<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
<link rel="stylesheet" href="style.css" type="text/css"/>
<script src="code.js" type="text/javascript"></script>

<h1>Mixing backups with external snapshots</h1>

<ul>
  <li>managing disabled bitmaps in libvirt proved to be too complex</li>
  <li>each checkpoint creates a new bitmap, but all bitmaps are left active</li>
  <li>bitmaps are copied or merged alongside block job tasks</li></li>
</ul>

<p>Second incremental backup
  <table>
    <tr>
      <td style="vertical-align: top;">
	<p style="font-size:20px;">Base.qcow2</p>
	<table class="disk">
	  <tr>
	    <th style="visibility:hidden;">b0</th>
	    <th>A</th><th>-</th><th>C</th><th>C</th>
	    <th>B</th><th>B</th><th>D</th><th>-</th>
	  </tr>
	  <tr>
	    <td style="font-style: italic;">b0</td>
	    <td>-</td><td>-</td><td>X</td><td>X</td>
	    <td>X</td><td>X</td><td>X</td><td>-</td>
	  </tr>
	  <tr>
	    <td style="font-style: italic;">b1</td>
	    <td>-</td><td>-</td><td>-</td><td>-</td>
	    <td>-</td><td>-</td><td>X</td><td>-</td>
	  </tr>
	  <tr style="color: blue;">
	    <td style="font-style: italic;">t</td>
	    <td>-</td><td>-</td><td>-</td><td>-</td>
	    <td>-</td><td>-</td><td>X</td><td>-</td>
	  </tr>
	</table>
      </td>
      <td style="vertical-align: top;">
	<p style="font-size:20px;">FullBackup.qcow2</p>
	<table class="disk">
	  <tr>
	    <th>A</th><th>-</th><th>A</th><th>A</th>
	    <th>-</th><th>A</th><th>-</th><th>-</th>
	  </tr>
	</table>
	<p style="font-size:20px;">IncBackup1.qcow2</p>
	<table class="disk">
	  <tr>
	    <th>-</th><th>-</th><th>C</th><th>C</th>
	    <th>B</th><th>B</th><th>-</th><th>-</th>
	  </tr>
	</table>
	<p style="font-size:20px;">IncBackup2.qcow2</p>
	<table class="disk">
	  <tr>
	    <th>-</th><th>-</th><th>-</th><th>-</th>
	    <th>-</th><th>-</th><th>D</th><th>-</th>
	  </tr>
	</table>
      </td>
    </tr>
  </table>
</p>
